﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MyMVC;

// 说明：MyMVC是一个WEB框架，博客地址：http://www.cnblogs.com/fish-li/archive/2012/02/12/2348395.html


namespace MyLab.AjaxService
{
	/// <summary>
	/// 用于Ajax操作的Category服务类
	/// </summary>
	public class AjaxCategory
	{
		//--------------------------------------------------------------
		// 注意： 
		//     用于Ajax的类及方法，可以是静态的，也可以是非静态的。
		//--------------------------------------------------------------

		private CategoryBLL CategoryBLLInstance
		{
			get { return new CategoryBLL(); }
		}

		[Action]
		public object List()
		{
			List<Category> List = CategoryBLLInstance.GetList();
			return new GridResult<Category>(List);
		}

		[Action]
		public string GetList()
		{
			List<Category> List = CategoryBLLInstance.GetList();
			return List.ToJson();
		}

		[Action]
		public void Insert(Category category)
		{
			category.EnsureItemIsOK();
			CategoryBLLInstance.Insert(category);
		}

		[Action]
		public void Delete(string id)
		{
			CategoryBLLInstance.Delete(id);
		}

		[Action]
		public void Update(Category category)
		{
			category.EnsureItemIsOK();
			CategoryBLLInstance.Update(category);
		}

		
	}

}