﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
///GridResultJson 的摘要说明
/// </summary>
public class GridResult<T>
{
	public int total { get; private set; }

	public IEnumerable<T> rows { get; private set; }

	public GridResult(IEnumerable<T> list)
	{
		this.rows = list;
		this.total = rows.Count();
	}

	public GridResult(IEnumerable<T> list, int recCount)
	{
		this.rows = list;
		this.total = recCount;
	}

	/// <summary>
	/// 重写方法，将结果转成JSON格式。为了让方法能直接返回这样的对象以及框架后做后续处理。
	/// </summary>
	/// <returns></returns>
	public override string ToString()
	{
		return this.ToJson();
	}
}