﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using MyMVC;
using MongoDB.Attributes;


// 说明：因为MonogDB并不支持【自增数据类型】，所以，我把所有实体的ID字段的类型全改为字符串，它们将保存GUID字符串。


/// <summary>
/// 表示一个商品对象的实体类
/// </summary>
public sealed class Product : MyDataItem
{
	[MongoId]
	public string ProductID { get; set; }
	public string ProductName { get; set; }
	public string CategoryID { get; set; }
	public string Unit { get; set; }
	public double UnitPrice { get; set; }
	public int Quantity { get; set; }
	public string Remark { get; set; }


	public override string IsValid()
	{
		if( string.IsNullOrEmpty(ProductName) )
			return "商品名称不能为空。";

		if( string.IsNullOrEmpty(Unit) )
			return "单位不能为空。";

		return null;
	}
}


